import javalib.worldcanvas.*;
import javalib.worldimages.*;
import java.awt.Color;
public class GameGUI   {
    WorldCanvas gameSpace = new WorldCanvas(500,500,"game place") ;
    WorldImage board = AImage.makeRectangle(500,500, Color.yellow, Mode.solid);
    WorldImage onePiece = AImage.makeCircle (10, Color.blue, Mode.solid);
    WorldImage twoPiece = AImage.makeCircle (10, Color.red, Mode.solid);

    public   GameGUI(){
        gameSpace.show();
    }

    public   void drawGame (int one, int two)
    {
        WorldImage horizLine = AImage.makeLine(new Posn(0,0),new Posn(500,0)); 
        WorldImage verticalLine = AImage.makeLine(new Posn(0,0),new Posn(0,500)); 
        for (int count = 50; count <= 500; count= count + 50){
            board = board.place(horizLine,250,count);
            board = board.place(verticalLine,count,250);
        }
        board = board.place(onePiece, (one%10)*50-25, one/10*50+25) ;
        board = board.place(twoPiece, (two%10)*50-25, two/10*50+25) ;
        gameSpace.drawImage(board);
    } 
}
